%define name ntop
%define fname ntop
%define version 2.0
%define release 2mdk

Summary: A network usage tool
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Source: %{fname}-%{version}-src.tar.bz2
Patch0: %{fname}-%{version}-makefile-man.patch.bz2
Patch1: %{fname}-%{version}-pem.patch.bz2
URL: http://www.ntop.org
Group: Monitoring
Prefix: %{_prefix}
BuildRoot: %{_tmppath}/%{fname}-%{version}-root
BuildRequires: gdbm-devel
BuildRequires: libpcap-devel
BuildRequires: ncurses-devel
BuildRequires: readline-devel
BuildRequires: tcp_wrappers-devel

%description
ntop is a tool that shows the network usage, similar to what the
popular top Unix command does.

%prep
%setup -q -n %{name}
cp -p intop/intop.1 intop.1
%patch0 -p1 -b .man
%patch1 -p1 -b .pem

%build
CFLAGS="$RPM_OPT_FLAGS" \
CXXCFLAGS="$RPM_OPT_FLAGS" \
./autogen.sh \
		--prefix=%{_prefix} \
		--enable-tcpwrap \
		--disable-ssl \
		--sysconfdir=%{_prefix}/lib \
		--mandir=%{_mandir} \
		--localstatedir=%{_localstatedir}
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_prefix}/{bin,lib,man/{man1,man8}} \
	$RPM_BUILD_ROOT%{_localstatedir}/%{fname} \
	$RPM_BUILD_ROOT/%{_libdir}%{fname} \
	$RPM_BUILD_ROOT%{_mandir}/{man1,man8}
make install DESTDIR=$RPM_BUILD_ROOT
mv -f $RPM_BUILD_ROOT%{_bindir}/ntop-cert.pem $RPM_BUILD_ROOT/%{_libdir}/%{fname}
%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS CONTENTS COPYING ChangeLog MANIFESTO
%doc docs/FAQ docs/HACKING docs/KNOWN_BUGS docs/FILES docs/README
%{_bindir}/*
%{_mandir}/*/*
%{_prefix}/share/*/*
%{_libdir}/*
%dir %{_localstatedir}/ntop

%changelog
* Thu Feb 28 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.0-2mdk
- Added fixes from Olivier Thauvin <thauvin@aerov.jussieu.fr>:
	- Fix --localstatedir=%%{_localstatedir} and creating
	  %%{_localstatedir}/ntop.
	- Add share/ntop files missing in previous release.

* Tue Feb 26 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.0-1mdk
- version 2.0.

* Wed Aug 22 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.3.1-3mdk
- rebuild

* Sun Apr 22 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.3.1-2mdk
- Recompile again last gcc.
- Fix glibc22 compilation.

* Thu Aug 22 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.3.1-1mdk
- initial release.
